%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	IO-stringy

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	IO-stringy - I/O on in-core objects like strings and arrays
Name:		perl-%{perlname}
Version:	2.110
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=IO+stringy
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %perlversion 
BuildRequires:	perl = %perlversion 

%description
This toolkit primarily provides modules for performing both traditional 
and object-oriented i/o) on things other than normal filehandles; in 
particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

In the more-traditional IO::Handle front, we have IO::AtomicFile which 
may be used to painlessly create files which are updated atomically.

And in the "this-may-prove-useful" corner, we have IO::Wrap, whose 
exported wraphandle() function will clothe anything that's not a blessed 
object in an IO::Handle-like wrapper... so you can just use OO syntax and 
stop worrying about whether your function's caller handed you a string, a 
globref, or a FileHandle.

For more details see: http://search.cpan.org/search?module=IO+stringy

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.110-2
- Rebuild against perl 5.10.0
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.110-1
- Initial Release
